Bug 921261 - WebModule is reported as DOWN or UNAVAILABLE due to plug-in expecting stateName to return 1 instead of STARTED
WebModule is reported as DOWN or UNAVAILABLE due to plug-in expecting stateNa...
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: JON Plugin (Show other bugs)
All All
unspecified Severity urgent
: ---
: 2.0.1
Assigned To: Jean-frederic Clere
Pavel Slavicek
: 865454 (view as bug list)
Depends On: 707349
Blocks: 956987 956990
  Show dependency treegraph
Reported: 2013-03-13 15:36 EDT by Larry O'Leary
Modified: 2014-08-08 00:22 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The missing MBean for the <filename class="directory">//localhost/</filename><filename>my-simple-webapp</filename> WAR file causes all the web applications deployed on Tomcat 7 to be unavailable. The Tomcat 7 support patch contains the updated MBean names. The relevant MBean names are now correct and discoverable as expected.
Story Points: ---
Clone Of: 865454
Last Closed: 2014-01-03 07:58:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 330933 None None None Never

  None (edit)
Description Larry O'Leary 2013-03-13 15:36:01 EDT
+++ This bug was initially created as a clone of JBoss ON Bug #865454 +++

Tomcat7 version: JBoss EWS 2.0.0.CR1 (installed from ZIP)
All deployed webapps appear as 'unavailable'. And it looks like no management operations on them work. For example invoking a 'stop' operation on a running webapp will end with:

java.lang.IllegalStateException: Could not find MBean for WAR '//localhost/my-simple-webapp'.
	at org.jboss.on.plugins.tomcat.TomcatWarComponent.invokeOperation(TomcatWarComponent.java:350)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:679)

By the way, deploying new applications works fine, but you cannot manage them after that anymore.

--- Additional comment from mark yarborough on 2012-11-12 15:22:32 EST ---

This bug needs a corresponding bug in Jira or Bz (as appropriate) owned by the plugin team. Mark Yarborough work with John Doyle to define EWS owner.

--- Additional comment from Rémy Maucherat on 2012-12-14 11:31:57 EST ---

Both work for me now, and were likely caused by bad mbean names. The mbean names got fixed by the Tomcat 7 support patch. If there is a problem, a new bug should be filed using a build that uses the RHQ version that has acked support for Tomcat 7.

--- Additional comment from lfuka on 2013-01-18 07:43:55 EST ---

Do we have this patch in EWS 2.0.0.GA ?
I think no.

--- Additional comment from Larry O'Leary on 2013-03-13 15:28:56 EDT ---

Web applications are shows as unavailable due to the stateName value being returned as "STARTED" when for whatever reason, we are expecting "1".
Comment 4 Larry O'Leary 2013-04-12 12:06:56 EDT
*** Bug 865454 has been marked as a duplicate of this bug. ***
Comment 5 Libor Fuka 2013-05-10 08:57:49 EDT
Verified with Tomcat plugin brew build [1] and EWS 2.0.1.ER1
[1] https://brewweb.devel.redhat.com//buildinfo?buildID=269954
Comment 6 Mandar Joshi 2013-05-14 02:27:37 EDT
Added DocText.

@Wei Nan Li, can you please review the Doc Text content?
Comment 7 Mandar Joshi 2013-05-14 02:43:11 EDT

@Jean-Frederic Clere,  can you please review the Doc Text content?
Comment 8 Jean-frederic Clere 2013-05-14 04:50:35 EDT
"Cause: All the web applications deployed on Tomcat 7 are unavailable and cannot be managed.

Consequence: A stop operation on a running web application displays an error indicating that the MBean for the "//localhost/my-simple-webapp" WAR file is missing. 

Fix: The MBean names have been updated and are available in the Tomcat 7 support patch.

Result: The relevant MBean names are now correct and discoverable as expected."

That looks OK.

Note You need to log in before you can comment on or make changes to this bug.